![]() | PolycurveGeometryBuilder Class |
The polycurve geometry builder class is in charge of building the geometry list of a polycurve. All the
geometries that the builder connects must be connected on the correct end points. The builder has a fluent
interface, and can be used as follows:
using Tekla.Structures.Geometry3d; using Tekla.Structures.Model; public class Example { static void Main(string[] args) { var segment = new LineSegment(new Point(0, 0, 0), new Point(1000, 0, 0)); var arc = new Arc(new Point(1000, 0, 0), new Point(2000, 1000, 0), new Point(1707.1, 292.89, 0)); var geometryList = new PolycurveGeometrySolver().Append(arc).Append(segment).GetPolycurve(); var polycurve = new ControlPolycurve(); polycurve.Geometry = geometryList; polycurve.Insert(); } }

Namespace: Tekla.Structures.Geometry3d
Assembly: Tekla.Structures (in Tekla.Structures.dll) Version: 2023.0.1

The PolycurveGeometryBuilder type exposes the following members.

Name | Description | |
---|---|---|
![]() | PolycurveGeometryBuilder |
Creates an empty geometry builder. This builder contains no geometries
|
![]() | PolycurveGeometryBuilder(Polycurve) |
Constructs a geometry builder from an existing geometry list
|

Name | Description | |
---|---|---|
![]() | Append(Arc) |
Appends an arc to the geometry list
|
![]() | Append(LineSegment) |
Appends a line segment to the geometry list
|
![]() | Append(Polycurve) |
Appends another polycurve to the geometry list
|
![]() | AppendArc |
Appends an arc using three points. The first point is taken as the last point of the last element of the
polycurve.
|
![]() | AppendSegment |
Appends an line segment. The first point is taken as the last point of the last element of the polycurve.
|
![]() | AppendTangentArc |
Appends an arc tangent to the last curve of the curve list.
|
![]() | AppendTangentSegment |
Appends a line segment of the given length tangent to the last curve of the list.
|
![]() | GetPolycurve |
Gets the final geometry after all the modifications made by the builder
|
![]() | Prepend(Arc) |
Prepends an arc to the geometry list
|
![]() | Prepend(LineSegment) |
Prepends a line segment to the geometry list
|
![]() | PrependArc |
Prepends an arc using three points. The last point is taken as the start point of the first element of the
polycurve.
|
![]() | PrependSegment |
Prepends an line segment. The last point is taken as the start point of the first element of the polycurve.
|
![]() | PrependTangentArc |
Prepends an arc tangent to the first curve of the curve list.
|
![]() | PrependTangentSegment |
Prepends a line segment of the given length tangent to the first curve of the list.
|
![]() | Replace(Int32, Arc) |
Replaces the geometry at a given index
|
![]() | Replace(Int32, LineSegment) |
Replaces the geometry at a given index
|
